package cn.ibizlab.r7.runtime.core.client.model;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigDecimal;
import java.math.BigInteger;

/**
 * Client 实体 [LoginAccountPwd] 对象
 */
public interface ILoginAccountPwd {

    /**
     * 获取 [更新人]
     */
    public void setUpdateMan(String updateMan);
    
    /**
     * 设置 [更新人]
     */
    public String getUpdateMan();

    /**
     * 获取 [更新人]脏标记
     */
    public boolean getUpdateManDirtyFlag();
    /**
     * 获取 [密码]
     */
    public void setPwd(String pwd);
    
    /**
     * 设置 [密码]
     */
    public String getPwd();

    /**
     * 获取 [密码]脏标记
     */
    public boolean getPwdDirtyFlag();
    /**
     * 获取 [更新时间]
     */
    public void setUpdateDate(Timestamp updateDate);
    
    /**
     * 设置 [更新时间]
     */
    public Timestamp getUpdateDate();

    /**
     * 获取 [更新时间]脏标记
     */
    public boolean getUpdateDateDirtyFlag();
    /**
     * 获取 [建立人]
     */
    public void setCreateMan(String createMan);
    
    /**
     * 设置 [建立人]
     */
    public String getCreateMan();

    /**
     * 获取 [建立人]脏标记
     */
    public boolean getCreateManDirtyFlag();
    /**
     * 获取 [登录账号密码名称]
     */
    public void setLoginAccountPwdName(String loginAccountPwdName);
    
    /**
     * 设置 [登录账号密码名称]
     */
    public String getLoginAccountPwdName();

    /**
     * 获取 [登录账号密码名称]脏标记
     */
    public boolean getLoginAccountPwdNameDirtyFlag();
    /**
     * 获取 [建立时间]
     */
    public void setCreateDate(Timestamp createDate);
    
    /**
     * 设置 [建立时间]
     */
    public Timestamp getCreateDate();

    /**
     * 获取 [建立时间]脏标记
     */
    public boolean getCreateDateDirtyFlag();
    /**
     * 获取 [是否启用]
     */
    public void setEnable(Integer enable);
    
    /**
     * 设置 [是否启用]
     */
    public Integer getEnable();

    /**
     * 获取 [是否启用]脏标记
     */
    public boolean getEnableDirtyFlag();
    /**
     * 获取 [登录账号密码标识]
     */
    public void setLoginAccountPwdId(String loginAccountPwdId);
    
    /**
     * 设置 [登录账号密码标识]
     */
    public String getLoginAccountPwdId();

    /**
     * 获取 [登录账号密码标识]脏标记
     */
    public boolean getLoginAccountPwdIdDirtyFlag();
    /**
     * 获取 [登录账号标识]
     */
    public void setLoginAccountId(String loginAccountId);
    
    /**
     * 设置 [登录账号标识]
     */
    public String getLoginAccountId();

    /**
     * 获取 [登录账号标识]脏标记
     */
    public boolean getLoginAccountIdDirtyFlag();
}
